package com.bonus.canteen.core.cook.dto;

import io.swagger.annotations.ApiModelProperty;

public class ImportRecipeDishesDTO {
   private Integer index;
   private String dishesName;
   @ApiModelProperty("菜品单价")
   private Integer price;
   @ApiModelProperty("供应数量")
   private Integer supplyNum;
   @ApiModelProperty("销售数量")
   private Integer saleNum;
   @ApiModelProperty("剩余数量")
   private Integer remanentNum;
   @ApiModelProperty("个人限购数量")
   private Integer limitNum;
   @ApiModelProperty("菜品价格(优惠价)")
   private Integer salePrice;

   public Integer getIndex() {
      return this.index;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getSupplyNum() {
      return this.supplyNum;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public Integer getRemanentNum() {
      return remanentNum;
   }

   public Integer getLimitNum() {
      return limitNum;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public ImportRecipeDishesDTO setIndex(final Integer index) {
      this.index = index;
      return this;
   }

   public ImportRecipeDishesDTO setDishesName(final String dishesName) {
      this.dishesName = dishesName;
      return this;
   }

   public ImportRecipeDishesDTO setPrice(final Integer price) {
      this.price = price;
      return this;
   }

   public ImportRecipeDishesDTO setSupplyNum(final Integer supplyNum) {
      this.supplyNum = supplyNum;
      return this;
   }

   public ImportRecipeDishesDTO setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
      return this;
   }

   public ImportRecipeDishesDTO setRemanentNum(final Integer remanentNum) {
      this.remanentNum = remanentNum;
      return this;
   }

   public ImportRecipeDishesDTO setLimitNum(final Integer limitNum) {
      this.limitNum = limitNum;
      return this;
   }

   public ImportRecipeDishesDTO setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
      return this;
   }
}
